Unit tqtshe_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QTSHE_p;

function tqtshe: String;

implementation

function tqtshe: String;
var
N,M,J,I :Integer;
X,Y,H1,H2 :Extended;
F :Array [0..1999] of Extended;
RINT :Array [0..1999] of Extended;
label
_1,_2;
begin
Result := '';  {   }
H1 := 3.14159e0/49.e0;
H2 := 3.14159e0/39.e0;
N := 50;
M := 40;
Y := 0.e0;
for J:=1 to 40 do
 begin
  X := Y;
  for I:=1 to 50 do
   begin
    F[(I-1)+(J-1)*50] := Sin(X);
_1:
    X := X+H1;
   end;
_2:
  Y := Y+H2;
 end;
QTSHE(RINT,H1,H2,F,N,M);
Result := Result + Format('%20.16f %20.16f %20.16f %20.16f ',
 [RINT[0],RINT[51],RINT[(N-2)+(M-1)*50],RINT[(N-1)+(M-1)*50]]) + #$0D#$0A;
UtRes('tqtshe',Result);  {     tqtshe.res }
exit;
end;

end.
